#include <bits/stdc++.h>
#define mp make_pair
#define pb push_back
#define pf push_front
#define popb pop_back
#define popf pop_front
#define xx first
#define yy second
#define srt(a) sort(a.begin(),a.end());
#define srtg(a,int) sort(a.begin(),a.end(),greater<int>())
#define lb(a,x) lower_bound(a.begin(),a.end(),x)
#define up(a,x) upper_bound(a.begin(),a.end(),x)
#define fnd(a,x) find(a.begin(),a.end(),x)
#define vstart auto startt=chrono::system_clock::now()
#define vend auto endd=chrono::system_clock::now()
#define vvreme chrono::duration<double> vremee=endd-startt
#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0)

using namespace std;

typedef long long ll;
typedef pair<int,int> pii;
typedef pair<ll,ll> pll;
typedef string str;
int main()
{
    ios;
    int n,x;
    cin>>n>>x;
    int mini=100000001;
    int maxi=-100000001;
    for(int i=0;i<n;i++){
        int a;
        cin>>a;
        mini=min(mini,a);
        maxi=max(maxi,a);
    }
    mini=abs(mini);
    maxi=abs(maxi);
    int res=abs(x-mini)+abs(mini-maxi);
    res=min(res,abs(x-maxi)+abs(mini-maxi));
    cout<<res;
    return 0;
}